---
id: 68593ea22eac7e228ed585ce
title: Step 5
challengeType: 20
dashedName: step-5
---

# --description--

Emails should track whether they've been read or not. Add a `read` attribute to the `__init__` method and set it to `False` by default, since new emails start as unread.

# --hints--

You should assign `False` to `self.read` in the `__init__` method.

```js
({ 
    test: () => runPython(`
    assert _Node(_code).find_class("Email").find_function("__init__").find_variable("self.read").is_equivalent("self.read = False")
    `) 
})
```


# --seed--

## --seed-contents--

```py
--fcc-editable-region--
class Email:
    def __init__(self, sender, receiver, subject, body):
        self.sender = sender
        self.receiver = receiver
        self.subject = subject
        self.body = body

--fcc-editable-region--
email_obj = Email('alice@example.com', 'bob@example.com', 'Hello', 'Hi Bob!')
print(email_obj.sender)
print(email_obj.subject)
```
